Entur Developer
Customers API

Traveller information

API for retrieving contact info for all travellers on a given journey. Given a serviceJourneyId or, preferably, an originalServiceJourneyId, returns contact info for the travellers on this journey


Get contact info for all travellers on a given DatedServiceJourney.

GET
https://api.entur.io/customers/v2
/travellerinfo

Get contact info for all travellers on a given DatedServiceJourney.

Get contact info for all travellers on a given DatedServiceJourney. › query Parameters

datedServiceJourneyId
​string · pattern: [A-Z]{3}:DatedServic… · style: form · explode: true
originalDatedServiceJourneyId
​string · pattern: [A-Z]{3}:DatedServic… · style: form · explode: true
serviceJourneyId
​string · style: form · explode: true
departureDate
​string · date · style: form · explode: true
organisationId
​integer · int64 · style: form · explode: true
orderId
​string · style: form · explode: true

Get contact info for all travellers on a given DatedServiceJourney. › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Get contact info for all travellers on a given DatedServiceJourney. › Responses

OK

Each order on the journey enriched with customer information
customerNumber
​integer · int64 · required

Customer number

organisationId
​integer · int64 · required

The organisation the customer is registered with

orderId
​string · required

ID of Order

​PurchasedLeg[] · required

Legs connected to the customer on the journey

customerRef
​string · minLength: 1 · maxLength: 40

Optional customer reference

firstName
​string

First name of the traveller

surname
​string

Surname of the traveller

languagePreference
​string

Language preference of the traveller in ISO 639-3 code format

email
​string · minLength: 1 · maxLength: 80

Contact email

telephoneNumber
​string · minLength: 1 · maxLength: 20

Contact telephone number. Includes country code if available

fromStopPlaceRef
​string

Reference to the journey’s starting stop

toStopPlaceRef
​string

Reference to the journey’s final stop


Did you find what you were looking for?